Skip to main content
POST
/
employer
/
pay-statement
JavaScript
import Finch from '@tryfinch/finch-api';

const client = new Finch({
  accessToken: 'My Access Token',
});

// Automatically fetches more pages as needed.
for await (const payStatementResponse of client.hris.payStatements.retrieveMany({
  requests: [{ payment_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' }],
})) {
  console.log(payStatementResponse.payment_id);
}
{ "responses": [ { "payment_id": "fc8b024e-d373-4c9c-80fc-f1625383d142", "code": 200, "body": { "paging": { "count": 25, "offset": 10 }, "pay_statements": [ { "individual_id": "be7b048c-a6f3-4194-a017-2f537d4f3565", "type": "regular_payroll", "payment_method": "check", "total_hours": 42.5, "gross_pay": { "amount": 230000, "currency": "usd" }, "net_pay": { "amount": 180000, "currency": "usd" }, "earnings": [ { "type": "salary", "name": "Salary", "amount": 230000, "currency": "usd", "hours": 42.5 } ], "taxes": [ { "type": "state", "name": "State Withholding - OR", "employer": false, "amount": 0, "currency": "usd" } ], "employee_deductions": [ { "name": "Pre-Tax 401k", "amount": 50000, "currency": "usd", "pre_tax": true, "type": "401k" } ], "employer_contributions": [ { "name": "Employee Medical Insurance", "amount": 23272, "currency": "usd", "type": "s125_medical" } ] } ] } } ] }

Documentation Index

Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Please use your Access Token

Headers

Finch-API-Version
string<date>
default:2020-09-17
required

Header used to specify the version for a given API request. Current version is 2020-09-17.

Pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
Content-Type
string
default:application/json
required

Used to indicate the original media type of the resource

Query Parameters

entity_ids
string<uuid>[]

The entity IDs to specify which entities' data to access.

Required array length: 1 element
Example:
["550e8400-e29b-41d4-a716-446655440000"]

Body

application/json
requests
object[]
required

The array of batch requests.

Response

Pay statement data

responses
object[]
required